__gnu_pbds::detail::maybe_null_type< Key, Mapped, _Alloc, Store_Hash > Struct Template Reference
Extensions » Policy-Based Data Structures » Traits

`#include <types_traits.hpp>`

Inheritance diagram for __gnu_pbds::detail::maybe_null_type< Key, Mapped, _Alloc, Store_Hash >:
[legend]

## Detailed Description

template<typename Key, typename Mapped, typename _Alloc, bool Store_Hash>
struct __gnu_pbds::detail::maybe_null_type< Key, Mapped, _Alloc, Store_Hash >

Base class for conditionally defining a static data member.

Definition at line 121 of file types_traits.hpp.

The documentation for this struct was generated from the following file:

- types_traits.hpp